# speex_callbacks.h File Reference

Describes callback handling and in-band signalling. More...

`#include "speex.h"`

## Classes

struct | SpeexCallback

## Defines

#define | SPEEX_MAX_CALLBACKS 16
#define | SPEEX_INBAND_ENH_REQUEST 0
#define | SPEEX_INBAND_RESERVED1 1
#define | SPEEX_INBAND_MODE_REQUEST 2
#define | SPEEX_INBAND_LOW_MODE_REQUEST 3
#define | SPEEX_INBAND_HIGH_MODE_REQUEST 4
#define | SPEEX_INBAND_VBR_QUALITY_REQUEST 5
#define | SPEEX_INBAND_ACKNOWLEDGE_REQUEST 6
#define | SPEEX_INBAND_VBR_REQUEST 7
#define | SPEEX_INBAND_CHAR 8
#define | SPEEX_INBAND_STEREO 9
#define | SPEEX_INBAND_MAX_BITRATE 10
#define | SPEEX_INBAND_ACKNOWLEDGE 12

## Typedefs

typedef int(* | speex_callback_func )(SpeexBits *bits, void *state, void *data)

## Functions

int | speex_inband_handler (SpeexBits *bits, SpeexCallback *callback_list, void *state)
int | speex_std_mode_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_high_mode_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_char_handler (SpeexBits *bits, void *state, void *data)
int | speex_default_user_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_low_mode_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_vbr_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_enh_request_handler (SpeexBits *bits, void *state, void *data)
int | speex_std_vbr_quality_request_handler (SpeexBits *bits, void *state, void *data)

## Detailed Description

Describes callback handling and in-band signalling.